Last Comment Bug 734910 - Enter the compartment of the new global before calling FinishInitForNewWrappedGlobal
: Enter the compartment of the new global before calling FinishInitForNewWrappe...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPConnect (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla14
Assigned To: Bobby Holley (busy)
:
Mentors:
Depends on:
Blocks: cpg
  Show dependency treegraph
 
Reported: 2012-03-12 09:50 PDT by Bobby Holley (busy)
Modified: 2012-03-17 17:08 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Enter the compartment of the new global before calling FinishInitForNewWrappedGlobal. v1 (1.78 KB, patch)
2012-03-12 09:52 PDT, Bobby Holley (busy)
mrbkap: review+
Details | Diff | Review

Description Bobby Holley (busy) 2012-03-12 09:50:18 PDT
This is a simple regression from bug 733606 that caused tests to go orange with cpg. Patch coming right up.
Comment 1 Bobby Holley (busy) 2012-03-12 09:52:58 PDT
Created attachment 604988 [details] [diff] [review]
Enter the compartment of the new global before calling FinishInitForNewWrappedGlobal. v1

Attaching a patch, flagging mrbkap. Sorry for the churn blake. :-(
Comment 2 Bobby Holley (busy) 2012-03-16 09:46:55 PDT
Pushed to try, along with some other patches: https://tbpl.mozilla.org/?tree=Try&rev=4d9ad69264c3
Comment 3 Bobby Holley (busy) 2012-03-16 12:50:05 PDT
Pushed to m-i: http://hg.mozilla.org/integration/mozilla-inbound/rev/92ca12c0db83
Comment 4 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-03-17 17:08:52 PDT
https://hg.mozilla.org/mozilla-central/rev/92ca12c0db83

Note You need to log in before you can comment on or make changes to this bug.